Package org.h2gis.functions.spatial.create

## Class ST_MinimumRectangle

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_MinimumRectangle

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

Direct Known Subclasses:
  `ST_OrientedEnvelope`

    public class ST_MinimumRectangle
    extends org.h2gis.api.DeterministicScalarFunction

Gets the minimum rectangular POLYGON which encloses the input geometry. See `MinimumDiameter`.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_MinimumRectangle()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `computeMinimumRectangle​(org.locationtech.jts.geom.Geometry geometry)` Gets the minimum rectangular `Polygon` which encloses the input geometry.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_MinimumRectangle

    public ST_MinimumRectangle()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### computeMinimumRectangle

    public static org.locationtech.jts.geom.Geometry computeMinimumRectangle​(org.locationtech.jts.geom.Geometry geometry)

Gets the minimum rectangular `Polygon` which encloses the input geometry.

Parameters:
  `geometry` - Input geometry
Returns:
  Geometry